<template>
	<view class="content">
		<view class="info-detail" v-if="item!=null">
			<view class="item">
				<text class="label">接收者:</text>
				<text class="text">{{item.externalUserName}}</text>
			</view>
			<view class="item">
				<text class="label">发送时间:</text>
				<text class="text">{{item.sendTime}}</text>
			</view>
			<view class="item">
				<text class="label">实际发送时间:</text>
				<text class="text">{{item.realSendTime}}</text>
			</view>
			<view class="item" v-for="(cont,index ) in contents">
				<text class="label">发送内容({{index+1}}):</text>
				<text class="text" v-html="cont.value"> </text>
			</view>
		</view>
	</view>
</template>

<script>
	import {getQwSopSendCustomerList} from '@/api/qw.js'
	export default {
		data() {
			return {
				id:null,
				item:null,
				contents:[],
			}
		},
		onLoad(option) {
			// this.id = option.id;
			this.item=JSON.parse(uni.getStorageSync("sop"));
			console.log(this.item)
			this.contents=JSON.parse(this.item.contentJson);
		},
		onShow() {
			 
		},
		methods: {
			 
			getUserInfoByUserId(userId){
				var data = {userId:userId};
				var that=this;
				getUserInfoByUserId(data).then(
					res => {
						that.bindUser(res);
						
					},
					rej => {}
				);
			},
			 
		}
	}
</script>

<style lang="scss">
	page{
		
		height: 100%;
		background: #f6f6f6;
	}
</style>
<style scoped lang="scss">
	.content{
		// 详细信息
		.info-detail{
			padding: 0 24upx;
			background-color: #fff;
			.item{
				padding: 20upx 0;
				border-bottom: 1px solid #f7f7f7;
				.label{
					font-size: 30upx;
					color: #999;
					margin-right: 20upx;
				}
				.text{
					font-size: 30upx;
					color: #333;
				}
				 
			}
		}
	}
</style>
